org.richfaces.json

## Class JSONCollection

- java.lang.Object
- - java.util.AbstractCollection
  - - org.richfaces.json.JSONCollection

- All Implemented Interfaces:
    Serializable, Iterable, Collection

      public class JSONCollection
      extends AbstractCollection
      implements Serializable

  Author:
    Nick Belaevski - nbelaevski@exadel.com created 15.12.2006
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONCollection()`
    `JSONCollection(JSONArray array)`
    `JSONCollection(String jsonString)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode`

- - ### Constructor Detail

    - #### JSONCollection

          public JSONCollection()
                         throws JSONException

      Throws:
        `JSONException`

    - #### JSONCollection

          public JSONCollection(JSONArray array)
                         throws JSONException

      Throws:
        `JSONException`

    - #### JSONCollection

          public JSONCollection(String jsonString)
                         throws JSONException

      Throws:
        `JSONException`

  - ### Method Detail

    - #### iterator

          public Iterator iterator()

      Specified by:
        `iterator` in interface `Iterable`
      Specified by:
        `iterator` in interface `Collection`
      Specified by:
        `iterator` in class `AbstractCollection`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection`
      Specified by:
        `size` in class `AbstractCollection`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.